#
# spec file for package rubygem-rack-oauth2
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rack-oauth2
Version:        2.2.1
Release:        1.3
%define mod_name rack-oauth2
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/nov/rack-oauth2
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        OAuth 2.0 Server & Client Library - Both Bearer token type are
License:        MIT

%description
OAuth 2.0 Server & Client Library. Both Bearer token type are supported.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ## [2.2.0] - 2022-10-11
  [#]## Changed
- automatic json response decoding, and remove legacy token support by @nov in https://github.com/nov/rack-oauth2/pull/95
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.2.0
  see installed CHANGELOG.md
  [#]# [2.1.0] - 2022-10-10
  [#]## Added
  - accept local_http_config on Rack::OAuth2::Client#access_token! & revoke!  to support custom headers etc. by @nov in https://github.com/nov/rack-oauth2/pull/93
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.1.0
  no changelog found
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.21.2
  no changelog found
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.19.0
  no changelog found
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.17.0
  no changelog found
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.16.0
  no changelog found
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.12.0
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.10.1
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.10.0
  no changelog found
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.9.3
  no changelog found
* Fri Apr 27 2018 factory-auto@kulow.org
- updated to version 1.9.2
  no changelog found
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 1.9.1
  no changelog found
* Fri Feb 23 2018 factory-auto@kulow.org
- updated to version 1.9.0
  no changelog found
* Thu Feb 22 2018 factory-auto@kulow.org
- updated to version 1.8.2
  no changelog found
* Tue Feb 20 2018 factory-auto@kulow.org
- updated to version 1.8.1
  no changelog found
* Thu Feb 15 2018 factory-auto@kulow.org
- updated to version 1.8.0
  no changelog found
* Wed Feb 14 2018 factory-auto@kulow.org
- updated to version 1.7.1
  no changelog found
* Tue Jan  9 2018 coolo@suse.com
- updated to version 1.7.0
  no changelog found
* Thu Oct 26 2017 coolo@suse.com
- updated to version 1.6.4
  no changelog found
* Tue May 23 2017 coolo@suse.com
- updated to version 1.6.2
  no changelog found
* Mon Mar 27 2017 coolo@suse.com
- updated to version 1.6.1
  no changelog found
* Fri Mar 24 2017 coolo@suse.com
- updated to version 1.6.0
  no changelog found
* Thu Jan 19 2017 coolo@suse.com
- updated to version 1.5.1
  no changelog found
* Thu Jan 12 2017 coolo@suse.com
- updated to version 1.5.0
  no changelog found
* Sat Oct 29 2016 coolo@suse.com
- updated to version 1.4.0
  no changelog found
* Tue Aug  2 2016 mrueckert@suse.de
- update 1.2.3
* Wed Nov 25 2015 mrueckert@suse.de
- update to 1.2.1
* Sat Apr 25 2015 mrueckert@suse.de
- update to 1.1.1
* Mon Mar 16 2015 mrueckert@suse.de
- initial package
